jgit (6.7.0-2) unstable; urgency=medium

  * Team upload.
  * Removed the dependency on libecj-java

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 14 Jul 2024 11:26:13 +0200

jgit (6.7.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 6.7.0:
    - Fixes CVE-2023-4759 (Closes: #1055853)
  * Refreshing patches
  * Raising Standards version to 4.7.0 (no change)
  * Updating build-dependencies and Maven rules
  * Updating the list of pom.xml files to ignore
  * Building the package with javac instead of the eclipse compiler
  * Setting the versions of the Debian-packaged Maven plugins for the build
  * Skipping the generation of unneeded artifacts with maven-antrun-plugin
  * Trim trailing whitespace in d/control

 -- Pierre Gruet <pgt@debian.org>  Mon, 13 May 2024 22:35:40 +0200

jgit (4.11.9-2) unstable; urgency=medium

  * Team upload
  * Raising Standards version to 4.6.2:
    - Setting Rules-Requires-Root: no
  * Removing unneeded versioned build-dependencies
  * Properly grasping log4j1.2 artifacts through debian/maven.rules
    (Closes: #1028670)
  * Use correct machine-readable copyright file URI.
  * Set upstream metadata fields: Bug-Database, Repository-Browse.

 -- Pierre Gruet <pgt@debian.org>  Sun, 22 Jan 2023 18:32:30 +0100

jgit (4.11.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #905547)
    - Refreshed the patches
    - Build the new lfs modules
    - New dependencies on libjetty9-java and libgoogle-gson-java
    - Disabled error_prone
    - Depend on libjavaewah-java (>= 0.8.6)
  * Fixed the watch file to track the releases with 2-digit minor versions

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 01 Feb 2021 23:07:44 +0100

jgit (4.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Ignore the new packaging module
    - No longer build the console and java7 modules (removed)
    - New dependency on libeclipse-jdt-annotation-java
  * Depend on libservlet-api-java instead of libservlet3.1-java
  * Removed the -java-doc package
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13
  * Use secure URIs

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 31 Jan 2021 22:58:33 +0100

jgit (3.7.1-6) unstable; urgency=medium

  * Team upload.
  * Fixed the compatibility with args4j 2.32 (Closes: #878800)
  * Standards-Version updated to 4.2.1

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 17 Oct 2018 12:11:32 +0200

jgit (3.7.1-5) unstable; urgency=medium

  * Team upload.
  * Depend on libeclipse-osgi-java instead of libequinox-osgi-java
  * Standards-Version updated to 4.2.0
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 16 Aug 2018 01:04:22 +0200

jgit (3.7.1-4) unstable; urgency=medium

  * Team upload.
  * Transition to the Servlet API 3.1

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 24 Jun 2016 14:23:11 +0200

jgit (3.7.1-3) unstable; urgency=medium

  * Team upload.
  * No longer use javahelper for computing the packages dependencies
    to remove the servlet dependency from libjgit-java
  * Build with the DH sequencer instead of CDBS
  * Removed the build dependency on libclirr-maven-plugin-java
  * Fixed a typo in the manpage
  * Standards-Version updated to 3.9.8

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 22 Jun 2016 10:32:27 +0200

jgit (3.7.1-2) unstable; urgency=medium

  * Team upload.

  [ tony mancill ]
  * Update debian/gbp.conf for xz compression used in pristine-tar.

  [ Markus Koschany ]
  * Declare compliance with Debian Policy 3.9.7.
  * Vcs fields: Use canonical URI and https.
  * Add maven.properties and skip the tests for now as a workaround to prevent
    a FTBFS. (Closes: #812643)

 -- Markus Koschany <apo@debian.org>  Wed, 24 Feb 2016 18:48:08 +0100

jgit (3.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Added the missing build dependency on junit4
  * Updated debian/watch

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 22 Sep 2015 14:37:15 +0200

jgit (3.7.0-1) unstable; urgency=medium

  * New upstream release (Closes: #774050).
  * Bump Standards-Version to 3.9.6 (no changes).
  * Remove Niels Thykier from Uploaders; thanks for your contributions.
  * Refresh d/patches/unversioned-orbit-dependencies.patch.
  * Add libslf4j-java to Build-Depends.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 26 Apr 2015 21:23:34 +0200

jgit (3.4.0-2) unstable; urgency=medium

  * Fix FTBFS with args4j 2.0.30 (Closes: #761537).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 19 Sep 2014 20:29:28 +0200

jgit (3.4.0-1) unstable; urgency=medium

  * New Upstream release.
  * Refreshed debian-custom-build.patch and ftbfs-args4j-2.0.25-fix.patch.
  * Removed d/patches/java8-compatibility.patch (applied upstream).
  * Disable jacoco-maven-plugin
    - no need for code coverage during build.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 21 Jun 2014 14:16:30 +0200

jgit (3.3.2-1) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * New Upstream release.
    - Refreshed the patches
  * Fixed a test failure with Java 8

  [ tony mancill ]
  * Update gbp.conf for bz2 upstream tarball.

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 13 May 2014 10:36:22 +0200

jgit (3.3.1-1) unstable; urgency=medium

  * New Upstream release.
  * Fix test failure in org.eclipse.jgit.pgm.ArchiveTest. Added libxz-java
    into Build-Depends and into org.eclipse.jgit.pgm.test/pom.xml since
    the dependency has been made optional in libcommons-compress-java.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 26 Mar 2014 19:11:23 +0100

jgit (3.3.0-1) unstable; urgency=medium

  * New Upstream release.
  * Removed d/patches/javaewah-compatibility.patch (applied upstream).
  * Added doc-base control file into libjgit-java-doc.
  * Remove version from com.googlecode.javaewah Orbit dependency.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 06 Mar 2014 17:29:30 +0100

jgit (3.2.0-1) unstable; urgency=medium

  * New Upstream release.
  * Refreshed d/patches/ftbfs-args4j-2.0.25-fix.patch.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 23 Dec 2013 19:18:17 +0100

jgit (3.1.0-2) unstable; urgency=low

  [ Jakub Adam ]
  * Fix FTBFS with args4j 2.0.25 (Closes: #730878).
  * Make Vcs-* fields canonic.

  [ tony mancill ]
  * Bump Standards-Version to 3.9.5 (no changes).
  * Update debian/compat and debhelper dependency to 9.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 03 Dec 2013 16:06:14 +0100

jgit (3.1.0-1) unstable; urgency=low

  * New Upstream release.
  * Refreshed d/patches/javaewah-compatibility.patch.
  * Enable build of new artifact org.eclipse.jgit.archive.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 08 Oct 2013 19:57:23 +0200

jgit (3.0.3-1) unstable; urgency=low

  * New Upstream release.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 17 Sep 2013 19:52:14 +0200

jgit (3.0.0-1) unstable; urgency=low

  * New Upstream release.
  * Use maven.ignoreRules to remove unnecessary maven plugins.
  * Add libjavaewah-java to Build-Depends.
  * Don't install org.eclipse.jgit.junit.jar, it's used only by tests.
  * Use xz for upstream tarball compression.
  * Enable build of org.eclipse.jgit.java7.jar.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 11 Jun 2013 19:22:57 +0200

jgit (2.3.1-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable for jessie release cycle.

 -- tony mancill <tmancill@debian.org>  Sun, 05 May 2013 18:50:33 -0700

jgit (2.3.1-1) experimental; urgency=low

  * New Upstream release.
  * Refreshed debian-custom-build.patch.
  * Remove mention of iplog jar from packaging files (removed upstream).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 22 Feb 2013 16:47:29 +0100

jgit (2.2.0-1) experimental; urgency=low

  * New Upstream release.
  * Remove /usr/share/java prefix from Class-Path entries.
  * Add dependency on libcommon-compress-java.
  * Move JGit Ant tasks into separate binary package. Avoids in most
    use cases unnecessary dependency on Ant.
  * Bump Standards-Version to 3.9.4.
  * Updated d/watch.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 20 Dec 2012 20:12:19 +0100

jgit (2.1.0-1) unstable; urgency=low

  * New Upstream release.
  * Refreshed debian-custom-build.patch.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 27 Sep 2012 16:54:42 +0200

jgit (2.0.0-2) unstable; urgency=low

  * Add breaks on eclipse-egit (<< 2.0) to ensure egit is
    upgraded together with libjgit-java.
  * Work around issue with the maven clean rule.

 -- Niels Thykier <niels@thykier.net>  Wed, 27 Jun 2012 12:28:15 +0200

jgit (2.0.0-1) unstable; urgency=low

  * New Upstream release.
  * Refreshed d/patches/debian-custom-build.patch.
  * Drop d/patches/tests-init-ant-project.patch. Applied upstream.
  * Removed eclipse-jgit dummy transitional package.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 24 Jun 2012 12:36:22 +0200

jgit (1.3.0-2) unstable; urgency=low

  [ Jakub Adam ]
  * Fix test execution failure leading to FTBFS (Closes: #666612).
  * Bump Standards-Version to 3.9.3 (no changes required).

  [ tony mancill ]
  * Update d/copyright.  Update Format, add Source.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 01 Apr 2012 21:39:33 +0200

jgit (1.3.0-1) unstable; urgency=low

  * New Upstream release.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 18 Feb 2012 14:53:28 +0100

jgit (1.2.0-2) unstable; urgency=low

  * Add d/watch.
  * Migrate dependency on libservlet2.4-java to libservlet-2.5-java.
    (Closes: #658807)

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 03 Jan 2012 19:49:36 +0100

jgit (1.2.0-1) unstable; urgency=low

  * New Upstream release.
  * Rename source package to "jgit" as it is not dependent on Eclipse.
  * Use Maven for building.
  * Build org.eclipse.jgit.http.server. (Closes: #647930)
  * Rename eclipse-jgit binary package to libjgit-java and install its jars into
    /usr/share/java. (Closes: #647071)
  * Build jgit console and package as jgit-cli.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 23 Dec 2011 21:21:25 +0100

eclipse-jgit (1.1.0-1) unstable; urgency=low

  * Initial release. (Closes: #600171)

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 26 Sep 2011 18:40:57 +0200
